Name: lxdm-conf
Version: 0.2.0
Release: alt4

Summary: Configuring Utility for LXDM
Summary(ru_RU.UTF-8): Утилита для конфигурирования менеджера дисплея LXMD

License: GPLv3
Group: System/Configuration/Other
Url: https://noc.sidux.com/lxde/browser/lxdm-conf
Packager: LXDE Development Team <lxde@packages.altlinux.org>

Source0: %name-%version.tar.bz2
Source1: lxdmconf.desktop
Source2: lxdmconfrun_a
Source3: lxdmconfrun_p
Source4: lxdmconf.moo_RU
Patch1: lxdm-conf_datetime_defuser.patch

Requires: lxde-lxdm python-base

%description
LXDM-CONF 
lxdm config file editor  python program to allow easy editing of the lxdm configuration file
Elfriede Apfelkuchen <elfriede-apfelkuchen@gmx.de>
Roland Engert <roen@sidux.com>
Andrea Florio <andrea@opensuse.org>


%description -l ru_RU.UTF-8
LXDM-CONF 
Это программа на языке Python позволяющая легко конфигурировать менеджер дисплеев LXDM.
Выбор темы, фонового рисунка, управление автологином, включение NumLock и т.д.
Авторы программы и переводов интерфейса
Elfriede Apfelkuchen <elfriede-apfelkuchen@gmx.de>
Roland Engert <roen@sidux.com>
Andrea Florio <andrea@opensuse.org>


%prep
%setup -q
%patch1 -p0

%install
mkdir %buildroot
cp -R * %buildroot
mkdir -p %buildroot%_sysconfdir/pam.d
mkdir -p %buildroot%_sysconfdir/security/console.apps
install -Dp -m0644 %SOURCE3 %buildroot%_sysconfdir/pam.d/lxdmconfrun
install -Dp -m0644 %SOURCE2 %buildroot%_sysconfdir/security/console.apps/lxdmconfrun
install -Dp -m0644 %SOURCE1 %buildroot%_datadir/applications/
install -Dp -m0644 %SOURCE4 %buildroot%_datadir/locale/ru/LC_MESSAGES/lxdmconf.moo
cd %buildroot%_bindir 
ln -s /usr/bin/consolehelper lxdmconfrun

%files
%_bindir/*
%_datadir/applications/lxdmconf.desktop
%_datadir/locale/*/LC_MESSAGES/*.moo
%_sysconfdir/pam.d/*
%_sysconfdir/security/console.apps/*

%changelog
* Thu Jun 10 2010 Radik Usupov <radik@altlinux.org> 0.2.0-alt3
- added icons
- changed Packager

* Wed Jun 02 2010 Mykola Grechukh <gns@altlinux.ru> 0.2.0-alt2
- package only locale files, not dirs

* Wed Jun 02 2010 Radik Usupov <radik@altlinux.org> 0.2.0-alt1
- corrected version release for sisyphus

* Wed Jun 02 2010 Radik Usupov <radik@altlinux.org> 3.8.4-alt0.3
- corrected packager
- corrected GROUP parameters

* Wed May 26 2010 Anatoly Chernov <aichernov@umail.ru> 3.8.4-alt0.2
- Rebuilt with branch 5.1 for antique - linux.

* Wed May 26 2010 YYY <http://forum.altlinux.org/index.php?action=profile;u=2784> 3.8.4-alt0.1
- First built for antique - linux.


